io.vertx.redis.sentinel

## Interface RedisSentinel

-     public interface RedisSentinel

  Interface for sentinel commands

- - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `RedisSentinel` | `ckquorum(String name, Handler<AsyncResult<String>> handler)` Check if the current Sentinel configuration is able to reach the quorum needed to failover a master, and the majority needed to authorize the failover.
    `void` | `close(Handler<AsyncResult<Void>> handler)` Close the client - when it is fully closed the handler will be called.
    `static RedisSentinel` | `create(Vertx vertx, RedisOptions config)`
    `RedisSentinel` | `failover(String name, Handler<AsyncResult<String>> handler)` Force a failover as if the master was not reachable, and without asking for agreement to other Sentinels (however a new version of the configuration will be published so that the other Sentinels will update their configurations)
    `RedisSentinel` | `flushConfig(Handler<AsyncResult<Void>> handler)` Force Sentinel to rewrite its configuration on disk, including the current Sentinel state.
    `RedisSentinel` | `getMasterAddrByName(String name, Handler<AsyncResult<JsonArray>> handler)` Return the ip and port number of the master with that name.
    `RedisSentinel` | `master(String name, Handler<AsyncResult<JsonArray>> handler)` Show the state and info of the specified master
    `RedisSentinel` | `masters(Handler<AsyncResult<JsonArray>> handler)` Show a list of monitored masters and their state
    `RedisSentinel` | `reset(String pattern, Handler<AsyncResult<Void>> handler)` Reset all the masters with matching name.
    `RedisSentinel` | `sentinels(String name, Handler<AsyncResult<JsonArray>> handler)` Show a list of sentinel instances for this master, and their state
    `RedisSentinel` | `slaves(String name, Handler<AsyncResult<JsonArray>> handler)` Show a list of slaves for this master, and their state

- - ### Method Detail

    - #### create

          static RedisSentinel create(Vertx vertx,
                                      RedisOptions config)

    - #### close

          void close(Handler<AsyncResult<Void>> handler)

      Close the client - when it is fully closed the handler will be called.
      Parameters:
        `handler` -

    - #### masters

          RedisSentinel masters(Handler<AsyncResult<JsonArray>> handler)

      Show a list of monitored masters and their state
      Parameters:
        `handler` - Handler for the result of this call

    - #### master

          RedisSentinel master(String name,
                               Handler<AsyncResult<JsonArray>> handler)

      Show the state and info of the specified master
      Parameters:
        `name` - master name
        `handler` - Handler for the result of this call

    - #### slaves

          RedisSentinel slaves(String name,
                               Handler<AsyncResult<JsonArray>> handler)

      Show a list of slaves for this master, and their state
      Parameters:
        `name` - master name
        `handler` - Handler for the result of this call

    - #### sentinels

          RedisSentinel sentinels(String name,
                                  Handler<AsyncResult<JsonArray>> handler)

      Show a list of sentinel instances for this master, and their state
      Parameters:
        `name` - master name
        `handler` - Handler for the result of this call

    - #### getMasterAddrByName

          RedisSentinel getMasterAddrByName(String name,
                                            Handler<AsyncResult<JsonArray>> handler)

      Return the ip and port number of the master with that name. If a failover is in progress or terminated successfully for this master it returns the address and port of the promoted slave
      Parameters:
        `name` - master name
        `handler` - Handler for the result of this call

    - #### reset

          RedisSentinel reset(String pattern,
                              Handler<AsyncResult<Void>> handler)

      Reset all the masters with matching name. The pattern argument is a glob-style pattern. The reset process clears any previous state in a master (including a failover in pro
      Parameters:
        `pattern` - pattern String
        `handler` - Handler for the result of this call

    - #### failover

          RedisSentinel failover(String name,
                                 Handler<AsyncResult<String>> handler)

      Force a failover as if the master was not reachable, and without asking for agreement to other Sentinels (however a new version of the configuration will be published so that the other Sentinels will update their configurations)
      Parameters:
        `name` - master name
        `handler` - Handler for the result of this call

    - #### ckquorum

          RedisSentinel ckquorum(String name,
                                 Handler<AsyncResult<String>> handler)

      Check if the current Sentinel configuration is able to reach the quorum needed to failover a master, and the majority needed to authorize the failover. This command should be used in monitoring systems to check if a Sentinel deployment is ok.
      Parameters:
        `name` - master name
        `handler` - Handler for the result of this call

    - #### flushConfig

          RedisSentinel flushConfig(Handler<AsyncResult<Void>> handler)

      Force Sentinel to rewrite its configuration on disk, including the current Sentinel state. Normally Sentinel rewrites the configuration every time something changes in its state (in the context of the subset of the state which is persisted on disk across restart). However sometimes it is possible that the configuration file is lost because of operation errors, disk failures, package upgrade scripts or configuration managers. In those cases a way to to force Sentinel to rewrite the configuration file is handy. This command works even if the previous configuration file is completely missing.
      Parameters:
        `handler` - Handler for the result of this call

Copyright © 2018 Eclipse. All rights reserved.